# Class SkyAxisLabellers

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.SkyAxisLabellers

public class SkyAxisLabellers extends Object
Implementation class containing SkyAxisLabeller implementations.

Since:
  21 Feb 2013
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SkyAxisLabeller`
`EXTERNAL`
Labeller implementation that draws labels outside the plot bounds.
`static final SkyAxisLabeller`
`EXTSYS`
Labeller implementation like EXTERNAL but with sky system labels.
`static final SkyAxisLabeller`
`HYBRID`
Labeller implementation that draws labels outside the plot bounds unless they don't appear, in which case it draws them inside.
`static final SkyAxisLabeller`
`INTERNAL`
Labeller implementation that draws labels inside the plot bounds.
`static final SkyAxisLabeller`
`INTSYS`
Labeller implementation like INTERNAL but with sky system labels.
`static final SkyAxisLabeller`
`LAME`
Basic labeller implementation.
`static final SkyAxisLabeller`
`NONE`
Labeller implementation that does no drawing.

## Method Summary

Modifier and Type
Method
Description
`static SkyAxisLabeller`
`getAutoLabeller(boolean skyFillsBounds)`
Returns the axis mode to use if choosing one automatically based on plot characteristics.
`static SkyAxisLabeller[]`
`getKnownLabellers()`
Returns a list of the known SkyAxisLabeller instances.
`static Caption`
`labelCaption(String label)`
Turns a sky grid line label into a Caption.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final SkyAxisLabeller NONE
Labeller implementation that does no drawing.

### LAME

public static final SkyAxisLabeller LAME
Basic labeller implementation. Grid lines are drawn OK, but not much effort is made to position axis labels sensibly.

### EXTERNAL

public static final SkyAxisLabeller EXTERNAL
Labeller implementation that draws labels outside the plot bounds.

### INTERNAL

public static final SkyAxisLabeller INTERNAL
Labeller implementation that draws labels inside the plot bounds.

### EXTSYS

public static final SkyAxisLabeller EXTSYS
Labeller implementation like EXTERNAL but with sky system labels.

### INTSYS

public static final SkyAxisLabeller INTSYS
Labeller implementation like INTERNAL but with sky system labels.

### HYBRID

public static final SkyAxisLabeller HYBRID
Labeller implementation that draws labels outside the plot bounds unless they don't appear, in which case it draws them inside. Doesn't necessarily end up looking as sensible as it sounds.

## Method Details

### labelCaption

public static Caption labelCaption(String label)
Turns a sky grid line label into a Caption. Some manipulation of the text for better LaTeX rendering is done.

Parameters:
  `label` - grid line label
Returns:
  caption object

### getKnownLabellers

public static SkyAxisLabeller[] getKnownLabellers()
Returns a list of the known SkyAxisLabeller instances. The first element is null, which is interpreted as auto mode.

Returns:
  list of sky axis labellers

### getAutoLabeller

public static SkyAxisLabeller getAutoLabeller(boolean skyFillsBounds)
Returns the axis mode to use if choosing one automatically based on plot characteristics.

Parameters:
  `skyFillsBounds` - true if the sky region of the plane fills all or most of the plotting region; false if there are significant non-sky parts
Returns:
  suitable axis labeller